scala.tools.nsc.transform.Delambdafy

# SkipPhase

#### class SkipPhase extends StdPhase

Source
  Delambdafy.scala

Linear Supertypes
Delambdafy.StdPhase, GlobalPhase, reflect.internal.Phase, AnyRef, Any
Type Hierarchy Learn more about scaladoc diagrams
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. SkipPhase
2. StdPhase
3. GlobalPhase
4. Phase
5. AnyRef
6. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Instance Constructors

1. #### new SkipPhase(prev: nsc.Phase)

### Type Members

1. #### type Id = Int

   Definition Classes
     Phase

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### def +(other: String): String

   Implicit information
     This member is added by an implicit conversion from SkipPhase to any2stringadd[SkipPhase] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd

4. #### def ->[B](y: B): (SkipPhase, B)

   Implicit information
     This member is added by an implicit conversion from SkipPhase to ArrowAssoc[SkipPhase] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

6. #### def apply(unit: Global.CompilationUnit): Unit

   Definition Classes
     SkipPhase → GlobalPhase

7. #### final def applyPhase(unit: Global.CompilationUnit): Unit

   Definition Classes
     GlobalPhase

8. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

9. #### def cancelled(unit: Global.CompilationUnit): Boolean

   Is current phase cancelled on this unit?

   Is current phase cancelled on this unit?

   Definition Classes
     GlobalPhase

10. #### def checkable: Boolean

    Definition Classes
      Phase

11. #### def clone(): AnyRef

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

12. #### def description: String

    Definition Classes
      Phase

13. #### def ensuring(cond: (SkipPhase) ⇒ Boolean, msg: ⇒ Any): SkipPhase

    Implicit information
      This member is added by an implicit conversion from SkipPhase to Ensuring[SkipPhase] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

14. #### def ensuring(cond: (SkipPhase) ⇒ Boolean): SkipPhase

    Implicit information
      This member is added by an implicit conversion from SkipPhase to Ensuring[SkipPhase] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

15. #### def ensuring(cond: Boolean, msg: ⇒ Any): SkipPhase

    Implicit information
      This member is added by an implicit conversion from SkipPhase to Ensuring[SkipPhase] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

16. #### def ensuring(cond: Boolean): SkipPhase

    Implicit information
      This member is added by an implicit conversion from SkipPhase to Ensuring[SkipPhase] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

17. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

18. #### def equals(other: Any): Boolean

    Definition Classes
      Phase → AnyRef → Any

19. #### def erasedTypes: Boolean

    Definition Classes
      GlobalPhase → Phase

20. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

21. #### def flagMask: Long

    Definition Classes
      Phase

22. #### def flatClasses: Boolean

    Definition Classes
      GlobalPhase → Phase

23. #### val fmask: Long

    Definition Classes
      Phase

24. #### def formatted(fmtstr: String): String

    Implicit information
      This member is added by an implicit conversion from SkipPhase to StringFormat[SkipPhase] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()

25. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

26. #### def hasNext: Boolean

    Definition Classes
      Phase

27. #### def hashCode(): Int

    Definition Classes
      Phase → AnyRef → Any

28. #### val id: Id

    Definition Classes
      Phase

29. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

30. #### def iterator: collection.Iterator[reflect.internal.Phase]

    Definition Classes
      Phase

31. #### def keepsTypeParams: Boolean

    Definition Classes
      Phase

32. #### def name: String

    Definition Classes
      StdPhase → Phase

33. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

34. #### def newFlags: Long

    Definition Classes
      StdPhase → Phase

35. #### def next: reflect.internal.Phase

    Definition Classes
      Phase

36. #### def nextFlags: Long

    Definition Classes
      StdPhase → Phase

37. #### final def notify(): Unit

    Definition Classes
      AnyRef

38. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

39. #### val prev: reflect.internal.Phase

    Definition Classes
      Phase

40. #### def refChecked: Boolean

    Definition Classes
      GlobalPhase → Phase

41. #### def run(): Unit

    Definition Classes
      GlobalPhase → Phase

42. #### def specialized: Boolean

    Definition Classes
      GlobalPhase → Phase

43. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

44. #### def toString(): String

    Definition Classes
      Phase → AnyRef → Any

45. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

46. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

47. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

48. #### final def withCurrentUnit(unit: Global.CompilationUnit)(task: ⇒ Unit): Unit

    Definition Classes
      GlobalPhase

49. #### def →[B](y: B): (SkipPhase, B)

    Implicit information
      This member is added by an implicit conversion from SkipPhase to ArrowAssoc[SkipPhase] performed by method ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Inherited from Delambdafy.StdPhase

### Inherited from GlobalPhase

### Inherited from reflect.internal.Phase

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from SkipPhase to any2stringadd[SkipPhase]

### Inherited by implicit conversion StringFormat from SkipPhase to StringFormat[SkipPhase]

### Inherited by implicit conversion Ensuring from SkipPhase to Ensuring[SkipPhase]

### Inherited by implicit conversion ArrowAssoc from SkipPhase to ArrowAssoc[SkipPhase]

### Ungrouped